<?php

namespace App\Http\Controllers\Api;

use App\Service\ConstructionService;
use App\Service\Wx\WxEmployeeService;
use Illuminate\Http\Request;

class WxController extends BaseController
{
    public function setUser(Request $request)
    {
        $service = new WxEmployeeService();
        list($status, $data) = $service->setUser($request->all());

        if ($status) {
            return $this->json_return(200, '', $data);
        } else {
            return $this->json_return(201, $data);
        }
    }

    public function setMobile(Request $request)
    {
        $service = new WxEmployeeService();
        list($status, $data) = $service->setMobile($request->all());

        if ($status) {
            return $this->json_return(200, '', $data);
        } else {
            return $this->json_return(201, $data);
        }
    }

    public function login(Request $request)
    {
        $service = new WxEmployeeService();
        list($status, $data) = $service->login($request->all());

        if ($status) {
            return $this->json_return(200, '', $data);
        } else {
            return $this->json_return(201, $data);
        }
    }

    public function constructionList(Request $request){
        $service = new ConstructionService();
        $userData = $request->userData->toArray();
        list($status,$data) = $service->constructionList($request->all(),$userData);

        if($status){
            return $this->json_return(200,'',$data);
        }else{
            return $this->json_return(201,$data);
        }
    }
}
